# Class InputFactory

java.lang.Object
ecoparasite.input.InputFactory

public class InputFactory extends Object
Permet de manipuler les fichiers CSV, de les lire et d'en créer des objets RawData pour ces données brutes.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `DATA_MACKEREL`
  `static final String`
  `DATA_MERLU`
  `static final String`
  `DATA_PARASITES_PERU`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `InputFactory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `buildDataPath(String data)`
  Construit le chemin vers le fichier de données voulu.
  `static RawData`
  `readData(String dataFileName)`
  Permet de lire les données brutes d'un fichier CSV.
  `static RawData`
  `readData(String dataFileName, String separator)`
  Permet de lire les données brutes d'un fichier CSV.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DATA_MACKEREL

    public static final String DATA_MACKEREL
    See Also:
      - Constant Field Values

  - ### DATA_MERLU

    public static final String DATA_MERLU
    See Also:
      - Constant Field Values

  - ### DATA_PARASITES_PERU

    public static final String DATA_PARASITES_PERU
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### InputFactory

    public InputFactory()

- ## Method Details

  - ### buildDataPath

    public static String buildDataPath(String data)
    Construit le chemin vers le fichier de données voulu.
    Parameters:
      `data` - De préference via une constante DATA_... de notre classe actuelle.
    Returns:
      Le chemin complet vers le dossier

  - ### readData

    public static RawData readData(String dataFileName) throws InputFileException
    Permet de lire les données brutes d'un fichier CSV.
    Parameters:
      `dataFileName` - Le chemin du fichier CSV, tiré des constantes DATA_... de notre classe actuelle.
    Returns:
      Une instance de RawData permettant de manipuler les données.
    Throws:
      `IOException`
      `InputFileException`

  - ### readData

    public static RawData readData(String dataFileName, String separator) throws InputFileException
    Permet de lire les données brutes d'un fichier CSV.
    Parameters:
      `dataFileName` - Le chemin du fichier CSV, tiré des constantes DATA_... de notre classe actuelle.
      `separator` - Le séparateur du fichier CSV, par défaut : ;
    Returns:
      Une instance de RawData permettant de manipuler les données.
    Throws:
      `InputFileException` - - Une erreur durant la lecture du fichier.